// JavaScript Document

  $(document).ready(function(){
 
  //$('.concern').bxSlider({
   //mode: 'vertical',
   // auto: true,
  //autoControls: true
//});
$('.acivement').bxSlider({
   //mode: 'vertical',
    auto: false,
	//minSlides: 1,
  //maxSlides:2,
  //slideWidth: 260,
  //slideMargin: 20,
  autoHover: true
  //autoControls: true
});

 $('.clientslider').bxSlider({
   //mode: 'vertical',
    auto: true,
	minSlides: 1,
  maxSlides:5,
  slideWidth: 220,
  slideMargin: 20,
  autoHover: true
  //autoControls: true
});

$('.onlineclass').bxSlider({
   //mode: 'vertical',
    auto: true,
	minSlides: 1,
  maxSlides:4,
  slideWidth: 265,
  slideMargin: 30,
  // autoHover: true
  //autoControls: true
    auto: ($('.onlineclass li').length < 5) ? false : true
});

$('.projectlive').bxSlider({
   //mode: 'vertical',
    auto: false,
	minSlides: 1,
  maxSlides:4,
  slideWidth: 265,
  slideMargin: 30,
  // autoHover: true
  //autoControls: true
    //auto: ($('.projectlive li').length < 5) ? false : true
});
$('.topcourses-slider').bxSlider({
   //mode: 'vertical',
    auto: true,
	minSlides: 1,
  maxSlides:4,
  slideWidth: 270,
  slideMargin: 10,
    autoHover: true
  
  //autoControls: true
});

$('.corporate-slider').bxSlider({
          //mode: 'vertical',
          auto: true,
          minSlides: 1,
          maxSlides:3,
          slideWidth: 260,
          slideMargin: 20,
          autoHover: true

          //autoControls: true
      });
      $('.corporate-slider-course').bxSlider({
          //mode: 'vertical',
          auto: true,
          minSlides: 1,
          maxSlides:4,
          slideWidth: 260,
          slideMargin: 30,
          autoHover: true

          //autoControls: true
      });
  $('.onlinescroll').bxSlider({
          //mode: 'vertical',
          auto: true,
          minSlides: 1,
          maxSlides:4,
          slideWidth: 260,
          slideMargin: 30,
          autoHover: true

          //autoControls: true
      });

 $('.testimonoalslider').bxSlider({

  pagerCustom: '#bx-pager',

  auto: true

});

 $('.expertslider').bxSlider({

          pagerCustom: '#bx-pager',

          auto: true,
     mode: 'vertical'

      });

$('.adslider').bxSlider({
   //mode: 'vertical',
    auto: true,
	minSlides: 1,
 // maxSlides:1,
  slideWidth: 270,
  //slideMargin: 0,
  
  //autoControls: true
});

$('.adslidervideo').bxSlider({
   //mode: 'vertical',
    auto: true,
	minSlides: 1,
 // maxSlides:1,
  slideWidth: 270,
  //slideMargin: 0,
  
  //autoControls: true
});
$('.testimonialinner').bxSlider({
          //mode: 'vertical',
          auto: true,
          //minSlides: 1,
          // maxSlides:1,
          //slideWidth: 270,
          //slideMargin: 0,

          //autoControls: true
      });


$('ul.nav li.dropdown').hover(function() {
  $(this).find('.dropdown-menu').stop(true, true).delay(200).fadeIn();
}, function() {
  $(this).find('.dropdown-menu').stop(true, true).delay().fadeOut();
});

$(".arrow a").click(function(){
    $(".arrow").addClass("intro");
});



});

var $item = $('.carousel .item'); 
var $wHeight = $(window).height();
$item.eq(0).addClass('active');
$item.height($wHeight); 
$item.addClass('full-screen');

$('.carousel img').each(function() {
  var $src = $(this).attr('src');
  var $color = $(this).attr('data-color');
  $(this).parent().css({
    'background-image' : 'url(' + $src + ')',
    'background-color' : $color
  });
  $(this).remove();
});

$(window).on('resize', function (){
  $wHeight = $(window).height();
  $item.height($wHeight);
});

$('.carousel').carousel({
  interval: 6000,
  pause: "false"
});
